# Functions to run INLA models

# for human leish data
RunHuman <- function(form, dt){
  m <- INLA::inla(form, 
                  family="nbinomial", 
                  offset=log(population/100000),
                  control.inla=list(strategy='adaptive'),
                  control.compute=list(dic=TRUE, waic=TRUE, cpo=TRUE),
                  control.predictor=list(link=1, compute=TRUE),
                  verbose=FALSE,
                  data=dt)
  
  return(m)
}

# for canine leish data
RunCanine <- function(form, dt){
  m <- INLA::inla(form, 
                  family="binomial",
                  Ntrials = tested_dogs,
                  control.inla=list(strategy='adaptive'),
                  control.compute=list(dic=TRUE, waic=TRUE, cpo=TRUE),
                  control.predictor=list(link=1, compute=TRUE),
                  verbose=FALSE,
                  data=dt)
  
  return(m)
}
